blob: 07866e6bf2977206277486fc544b1748261b6677 [file] [log] [blame]
Misha Brukman2cf89b62009-08-13 20:29:30 +00001#!/bin/bash
2
3die() {
Misha Brukman9d635302009-08-13 20:12:48 +00004 echo "$@" 1>&2
5 exit 1
Brian Gaeke4940c572004-02-08 07:44:48 +00006}
Gabor Greiff70414f2007-07-13 09:48:29 +00007
Misha Brukman2cf89b62009-08-13 20:29:30 +00008clean() {
9 echo $1 | sed -e 's/\\//g'
10}
11
12### NOTE: ############################################################
13### These variables specify the tool versions we want to use.
14### Periods should be escaped with backslash for use by grep.
Scott Michelee85bbc2008-11-20 04:28:08 +000015want_autoconf_version='2\.60'
Gabor Greiff70414f2007-07-13 09:48:29 +000016want_autoheader_version=$want_autoconf_version
Misha Brukman2cf89b62009-08-13 20:29:30 +000017want_aclocal_version='1\.9\.6'
18want_libtool_version='1\.5\.22'
19### END NOTE #########################################################
Gabor Greiff70414f2007-07-13 09:48:29 +000020
Reid Spencerd00b82e2004-12-22 05:56:41 +000021outfile=configure
22configfile=configure.ac
Gabor Greiff70414f2007-07-13 09:48:29 +000023
Misha Brukman2cf89b62009-08-13 20:29:30 +000024want_autoconf_version_clean=$(clean $want_autoconf_version)
25want_autoheader_version_clean=$(clean $want_autoheader_version)
26want_aclocal_version_clean=$(clean $want_aclocal_version)
27want_libtool_version_clean=$(clean $want_libtool_version)
Gabor Greiff70414f2007-07-13 09:48:29 +000028
Reid Spencer6843e382004-10-08 05:33:35 +000029test -d autoconf && test -f autoconf/$configfile && cd autoconf
30test -f $configfile || die "Can't find 'autoconf' dir; please cd into it first"
Gabor Greiff70414f2007-07-13 09:48:29 +000031autoconf --version | grep $want_autoconf_version > /dev/null
32test $? -eq 0 || die "Your autoconf was not detected as being $want_autoconf_version_clean"
Misha Brukman2cf89b62009-08-13 20:29:30 +000033aclocal --version | grep '^aclocal.*'$want_aclocal_version > /dev/null
34test $? -eq 0 || die "Your aclocal was not detected as being $want_aclocal_version_clean"
Gabor Greiff70414f2007-07-13 09:48:29 +000035autoheader --version | grep '^autoheader.*'$want_autoheader_version > /dev/null
36test $? -eq 0 || die "Your autoheader was not detected as being $want_autoheader_version_clean"
Misha Brukman2cf89b62009-08-13 20:29:30 +000037libtool --version | grep $want_libtool_version > /dev/null
38test $? -eq 0 || die "Your libtool was not detected as being $want_libtool_version_clean"
Reid Spencer8eacb0c2004-09-19 22:30:53 +000039echo ""
40echo "### NOTE: ############################################################"
Reid Spencer5d6c4a52004-09-21 17:13:23 +000041echo "### If you get *any* warnings from autoconf below you MUST fix the"
42echo "### scripts in the m4 directory because there are future forward"
Reid Spencer8eacb0c2004-09-19 22:30:53 +000043echo "### compatibility or platform support issues at risk. Please do NOT"
Reid Spencer6843e382004-10-08 05:33:35 +000044echo "### commit any configure script that was generated with warnings"
45echo "### present. You should get just three 'Regenerating..' lines."
Reid Spencer8eacb0c2004-09-19 22:30:53 +000046echo "######################################################################"
47echo ""
Misha Brukman2cf89b62009-08-13 20:29:30 +000048echo "Regenerating aclocal.m4 with aclocal $want_aclocal_version_clean"
Reid Spencerdcd38752004-09-07 16:00:48 +000049cwd=`pwd`
Reid Spencerb03adb82004-09-19 22:14:24 +000050aclocal --force -I $cwd/m4 || die "aclocal failed"
Gabor Greiff70414f2007-07-13 09:48:29 +000051echo "Regenerating configure with autoconf $want_autoconf_version_clean"
Reid Spencer6843e382004-10-08 05:33:35 +000052autoconf --force --warnings=all -o ../$outfile $configfile || die "autoconf failed"
Brian Gaeke4940c572004-02-08 07:44:48 +000053cd ..
Gabor Greiff70414f2007-07-13 09:48:29 +000054echo "Regenerating config.h.in with autoheader $want_autoheader_version_clean"
Reid Spencerabec8f92004-10-27 23:03:44 +000055autoheader --warnings=all -I autoconf -I autoconf/m4 autoconf/$configfile || die "autoheader failed"
Brian Gaeke4940c572004-02-08 07:44:48 +000056exit 0